You are here: Home > API Reference > App Management > Builds > Integration Create build

Integration Create build

Integration Create build

POST
https://api.applivery.iohttps://upload.applivery.io/v1/integrations/builds
curl -X POST "https://api.applivery.iohttps://upload.applivery.io/v1/integrations/builds" \
  -H "Content-Type: application/json" \
  -d '{
  "versionName": "string",
  "tags": "string",
  "changelog": "string",
  "notifyCollaborators": true,
  "notifyEmployees": true,
  "notifyMessage": "string",
  "notifyLanguage": "es",
  "filter": "string",
  "buildPlatform": "string",
  "packageName": "string",
  "packageVersion": "string",
  "deployer": {
    "name": "string",
    "info": {}
  },
  "deployer.name": "string",
  "deployer.info.commitMessage": "string",
  "deployer.info.commit": "string",
  "deployer.info.branch": "string",
  "deployer.info.triggerTimestamp": "string",
  "deployer.info.buildUrl": "string",
  "deployer.info.ciUrl": "string",
  "deployer.info.repositoryUrl": "string",
  "deployer.info.buildNumber": "string",
  "deployer.info.tag": "string"
}'
const response = await fetch("https://api.applivery.iohttps://upload.applivery.io/v1/integrations/builds", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "versionName": "string",
    "tags": "string",
    "changelog": "string",
    "notifyCollaborators": true,
    "notifyEmployees": true,
    "notifyMessage": "string",
    "notifyLanguage": "es",
    "filter": "string",
    "buildPlatform": "string",
    "packageName": "string",
    "packageVersion": "string",
    "deployer": {
      "name": "string",
      "info": {}
    },
    "deployer.name": "string",
    "deployer.info.commitMessage": "string",
    "deployer.info.commit": "string",
    "deployer.info.branch": "string",
    "deployer.info.triggerTimestamp": "string",
    "deployer.info.buildUrl": "string",
    "deployer.info.ciUrl": "string",
    "deployer.info.repositoryUrl": "string",
    "deployer.info.buildNumber": "string",
    "deployer.info.tag": "string"
  }),
});

const data = await response.json();
import requests

response = requests.post(
    "https://api.applivery.iohttps://upload.applivery.io/v1/integrations/builds",
    json={
      "versionName": "string",
      "tags": "string",
      "changelog": "string",
      "notifyCollaborators": true,
      "notifyEmployees": true,
      "notifyMessage": "string",
      "notifyLanguage": "es",
      "filter": "string",
      "buildPlatform": "string",
      "packageName": "string",
      "packageVersion": "string",
      "deployer": {
        "name": "string",
        "info": {}
      },
      "deployer.name": "string",
      "deployer.info.commitMessage": "string",
      "deployer.info.commit": "string",
      "deployer.info.branch": "string",
      "deployer.info.triggerTimestamp": "string",
      "deployer.info.buildUrl": "string",
      "deployer.info.ciUrl": "string",
      "deployer.info.repositoryUrl": "string",
      "deployer.info.buildNumber": "string",
      "deployer.info.tag": "string"
    },
)

data = response.json()

Request

Body Params multipart/form-data
versionName string optional
≤ 256 characters
tags string optional
changelog string optional
notifyCollaborators any optional
notifyEmployees any optional
notifyMessage string optional
≤ 1000 characters
notifyLanguage string optional
es en fr de it zh pt ru
filter any optional
buildPlatform string optional
≤ 256 characters
packageName string optional
≤ 256 characters
packageVersion string optional
≤ 256 characters
deployer object optional
name string optional
≤ 128 characters
info object optional
commitMessage string optional
commit string optional
branch string optional
≤ 1000 characters
triggerTimestamp string optional
buildUrl string optional
≤ 256 characters
ciUrl string optional
≤ 256 characters
repositoryUrl string optional
≤ 256 characters
buildNumber string optional
≤ 256 characters
tag string optional
≤ 256 characters
deployer.name string optional
≤ 256 characters
deployer.info.commitMessage string optional
deployer.info.commit string optional
deployer.info.branch string optional
≤ 1000 characters
deployer.info.triggerTimestamp string optional
deployer.info.buildUrl string optional
≤ 500 characters
deployer.info.ciUrl string optional
≤ 500 characters
deployer.info.repositoryUrl string optional
≤ 500 characters
deployer.info.buildNumber string optional
≤ 256 characters
deployer.info.tag string optional
≤ 1000 characters
{
    "versionName": "string",
    "tags": "string",
    "changelog": "string",
    "notifyCollaborators": true,
    "notifyEmployees": true,
    "notifyMessage": "string",
    "notifyLanguage": "es",
    "filter": "string",
    "buildPlatform": "string",
    "packageName": "string",
    "packageVersion": "string",
    "deployer": {
        "name": "string",
        "info": {
            "commitMessage": "string",
            "commit": "string",
            "branch": "string",
            "triggerTimestamp": "string",
            "buildUrl": "string",
            "ciUrl": "string",
            "repositoryUrl": "string",
            "buildNumber": "string",
            "tag": "string"
        }
    },
    "deployer.name": "string",
    "deployer.info.commitMessage": "string",
    "deployer.info.commit": "string",
    "deployer.info.branch": "string",
    "deployer.info.triggerTimestamp": "string",
    "deployer.info.buildUrl": "string",
    "deployer.info.ciUrl": "string",
    "deployer.info.repositoryUrl": "string",
    "deployer.info.buildNumber": "string",
    "deployer.info.tag": "string"
}

Responses

200 Response application/json
status boolean required
data object required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
status string required
pending in_progress processed error
tags array [string] required
versionName string optional
≤ 256 characters
application string required
Match pattern: ^[a-fA-F0-9]{24}$
applicationInfo object required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
name string required
≤ 256 characters
slug string required
≤ 256 characters
picture string optional
changelog string optional
iconFile object optional
originalName string optional
≤ 256 characters
mimetype string optional
≤ 128 characters
size integer optional
≤ 9007199254740991
bucket string required
≤ 256 characters
key string required
≤ 256 characters
location string required
≤ 256 characters
region string optional
≤ 128 characters
storageProviderId string required
Match pattern: ^[a-fA-F0-9]{24}$
checksum string optional
≤ 256 characters
updatedAt string optional
createdAt string optional
info object optional
icon string optional
≤ 256 characters
ios object optional
android object optional
pkg object optional
app object optional
msi object optional
exe object optional
msixbundle object optional
appxbundle object optional
msix object optional
appx object optional
scripts object optional
package object optional
size integer optional
≤ 9007199254740991
processTime integer optional
≤ 9007199254740991
queuedTime integer optional
≤ 9007199254740991
versionCode string optional
≤ 128 characters
error string optional
errorCode string optional
≤ 128 characters
os string optional
ios android macos windows custom
buildPlatform string optional
≤ 128 characters
deployer object required
name string optional
≤ 128 characters
info object optional
uploadedBy object optional
id string required
Match pattern: ^[a-fA-F0-9]{24}$
email string required
Match pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$ · Format: email
firstName string optional
≤ 128 characters
lastName string optional
≤ 128 characters
picture string optional
originalExtension string required
≤ 128 characters
storageProvider object required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
name string optional
≤ 128 characters
region string optional
≤ 128 characters
config string optional
≤ 128 characters
provider string required
≤ 128 characters
processLogs array [object] required
dateMs integer required
≤ 9007199254740991
message string required
files array [object] required
id string required
≤ 128 characters
type string required
aab attachment original package icon
description string optional
≤ 256 characters
file object optional
metadata object optional
metadata object required
externalFileUrl string optional
≤ 500 characters
hasEmmJson any required
defaultScripts object optional
preInstall string required
postInstall string required
audit string required
enforce string required
runner string required
updatedAt string required
createdAt string required
{
    "status": true,
    "data": {
        "id": "string",
        "status": "pending",
        "tags": [
            "string"
        ],
        "versionName": "string",
        "application": "string",
        "applicationInfo": {
            "id": "string",
            "name": "string",
            "slug": "string",
            "picture": "string"
        },
        "changelog": "string",
        "iconFile": {
            "originalName": "string",
            "mimetype": "string",
            "size": 0,
            "bucket": "string",
            "key": "string",
            "location": "string",
            "region": "string",
            "storageProviderId": "string",
            "checksum": "string",
            "updatedAt": "string",
            "createdAt": "string"
        },
        "info": {
            "icon": "string",
            "ios": {
                "plist": {
                    "CFBundleName": "string",
                    "CFBundleDisplayName": "string",
                    "CFBundleVersion": "string",
                    "CFBundleShortVersionString": "string",
                    "CFBundleIdentifier": "string",
                    "CFBundleSupportedPlatforms": [
                        "string"
                    ],
                    "MinimumOSVersion": "string",
                    "CFBundleIcons": [
                        "string"
                    ],
                    "UIDeviceFamily": [
                        "string"
                    ]
                },
                "mobileprovision": {
                    "TeamIdentifier": "string",
                    "ProvisionsAllDevices": true,
                    "ProvisionedDevices": "string",
                    "TeamName": "string",
                    "ExpirationDate": "string",
                    "signingType": "appStore"
                }
            },
            "android": {
                "versionCode": "string",
                "versionName": "string",
                "platformBuildVersionCode": "string",
                "platformBuildVersionName": "string",
                "packageName": "string",
                "minSDKVersion": "string",
                "targetSdkVersion": "string",
                "icon": "string",
                "productName": "string"
            },
            "pkg": {
                "CFBundleName": "string",
                "CFBundleDisplayName": "string",
                "CFBundleVersion": "string",
                "CFBundleShortVersionString": "string",
                "CFBundleIdentifier": "string",
                "CFBundleSupportedPlatforms": [
                    "string"
                ],
                "MinimumOSVersion": "string",
                "relatedPkgs": [
                    {
                        "distribution": {
                            "id": "string",
                            "active": "string",
                            "auth": "string",
                            "installKBytes": "string",
                            "onConclusion": "string",
                            "onConclusionScript": "string",
                            "version": "string",
                            "archiveKBytes": "string",
                            "packageIdentifier": "string",
                            "text": "string"
                        },
                        "plistInfo": {
                            "CFBundleName": "string",
                            "CFBundleDisplayName": "string",
                            "CFBundleVersion": "string",
                            "CFBundleShortVersionString": "string",
                            "CFBundleIdentifier": "string",
                            "CFBundleSupportedPlatforms": [
                                [
                                    "string"
                                ]
                            ],
                            "MinimumOSVersion": "string"
                        },
                        "iconFile": "string"
                    }
                ]
            },
            "app": {
                "CFBundleName": "string",
                "CFBundleDisplayName": "string",
                "CFBundleVersion": "string",
                "CFBundleShortVersionString": "string",
                "CFBundleIdentifier": "string",
                "CFBundleSupportedPlatforms": [
                    [
                        "string"
                    ]
                ],
                "CFBundlePackageType": "string",
                "LSMinimumSystemVersion": "string"
            },
            "msi": {
                "productCode": "string",
                "productVersion": "string",
                "productName": "string",
                "manufacturer": "string"
            },
            "exe": {
                "fileSize": "string",
                "fileVersionNumber": "string",
                "fileOS": "string",
                "fileDescription": "string",
                "fileVersion": "string",
                "originalFileName": "string",
                "productName": "string",
                "productVersion": "string",
                "companyName": "string"
            },
            "msixbundle": {
                "applicationsData": [
                    {
                        "arch": "string",
                        "fileName": "string",
                        "size": "string",
                        "version": "string"
                    }
                ],
                "packageName": "string",
                "version": "string"
            },
            "appxbundle": {
                "applicationsData": [
                    {
                        "arch": "string",
                        "fileName": "string",
                        "size": "string",
                        "version": "string"
                    }
                ],
                "packageName": "string",
                "version": "string"
            },
            "msix": {
                "displayName": "string",
                "publisherDisplayName": "string",
                "version": "string",
                "arch": "string",
                "name": "string"
            },
            "appx": {
                "displayName": "string",
                "publisherDisplayName": "string",
                "version": "string",
                "arch": "string",
                "name": "string"
            },
            "scripts": {
                "preInstall": "string",
                "postInstall": "string"
            },
            "package": {
                "name": "string",
                "version": "string"
            }
        },
        "size": 0,
        "processTime": 0,
        "queuedTime": 0,
        "versionCode": "string",
        "error": "string",
        "errorCode": "string",
        "os": "ios",
        "buildPlatform": "string",
        "deployer": {
            "name": "string",
            "info": {
                "commitMessage": "string",
                "commit": "string",
                "branch": "string",
                "triggerTimestamp": "string",
                "buildUrl": "string",
                "ciUrl": "string",
                "repositoryUrl": "string",
                "buildNumber": "string",
                "tag": "string"
            }
        },
        "uploadedBy": {
            "id": "string",
            "email": "[email protected]",
            "firstName": "string",
            "lastName": "string",
            "picture": "string"
        },
        "originalExtension": "string",
        "storageProvider": {
            "id": "string",
            "name": "string",
            "region": "string",
            "config": "string",
            "provider": "string"
        },
        "processLogs": [
            {
                "dateMs": 0,
                "message": "string"
            }
        ],
        "files": [
            {
                "id": "string",
                "type": "aab",
                "description": "string",
                "file": {
                    "originalName": "string",
                    "mimetype": "string",
                    "size": 0,
                    "bucket": "string",
                    "key": "string",
                    "location": "string",
                    "region": "string",
                    "storageProviderId": "string",
                    "checksum": "string",
                    "updatedAt": "string",
                    "createdAt": "string"
                },
                "metadata": {}
            }
        ],
        "metadata": {},
        "externalFileUrl": "string",
        "hasEmmJson": true,
        "defaultScripts": {
            "preInstall": "string",
            "postInstall": "string",
            "audit": "string",
            "enforce": "string",
            "runner": "string"
        },
        "updatedAt": "string",
        "createdAt": "string"
    }
}
Was this page helpful?